<?
// if user can post, display 'new post' form
use LabBase\Model\BrandPost;


$this->headStyle()->appendStyle(
    <<<CSS
.feedNode .userContent {
    position: relative;
    max-height: 420px;
    overflow: hidden;
}
.feedNode .userContent .endOfSpaceShadow {
    position: absolute;
    bottom: -10px;
    left: 0;
    right: 0;
    height: 10px;
    box-shadow: 0 0 40px 25px #fff;
}
.feedNode .userContent .readMore {
    position: absolute;
    bottom: 0;
    left: 0;
    line-height: 26px;
    font-size: 15px;
}
.feedNode .userContent .readMore a {
    padding: 2px 0px;
}
CSS
);


if ($this->userCanPost): ?>




<div class="errorContainer">

</div>

<!--
<div id="postPreviewContainer">
    <div id="postPreviewInnerContainer">
        <div class="feedNode">
            <div class="feedInfoBar">
                <img src="<?= $this->basePath(); ?>/img/placeholders/smallogo.png"/>

                <div>
                    <a href="#"><h1 id="previewTitle"> Post preview </h1></a>
                    <p>This will not be visible until you press the "Post" button</p>
                </div>
            </div>
            <div class="feedContent" id="previewContent">
                Start writing your post below to see the live preview.
            </div>
        </div>
    </div>
</div>

<div class="feedNode newPost">
    <form action="#" method="post" onsubmit="submitPost(); return false;">
        <div id="postTitleInputContainer" style="overflow: hidden; height: 0">
            <input name="title" type="text" id="postTitleInput" onkeypress="titleChanged($(this))" placeholder="Enter the title here"/>
        </div>
        <textarea name="content" class="userInputTextarea" id="postTextarea" onkeypress="contentChanged($(this))" placeholder="Start writing your post here..."></textarea>

        <div class="menubox">
            <label for="postCommentsEnabled">Allow comments</label>
            <input id="allowComments" checked="checked" type="checkbox" id="postCommentsEnabled"/>
        </div>
        <button id="postSubmitButton" class="lab-button float-right">Post</button>
    </form>
</div>
-->

<iframe id="editorImageSubmitterIframe" name="editorImageSubmitterIframe" style="display: none;" onload="editorImageFormSubmitted($(this))"> </iframe>
<form onsubmit="window.postImageUploadStarted()" enctype="multipart/form-data" method="post" target="editorImageSubmitterIframe" action="<?= $this->url('root/brandFeedAddPostImage', ['brandUrl' => $brandUrl]); ?>">
    <input type="file" name="imageFile" style="display: none" id="editorImageSubmitter" onchange="$(this).parent().submit()" />
</form>

<div class="feedNode newPost" id="postEditorOuterContainer" style="overflow: hidden; height: 120px;">
    <div id="newPostEditorPlaceholder" style="overflow: hidden; height: 120px; background: #F8F7F7; font-size: 12pt; color: #666;">
        <div style="margin: 10px;">Click here to start writing a new post...</div>
    </div>
    <div id="newPostEditorContainer">
        <input name="title" type="text" id="postTitleInput" onkeypress="titleChanged($(this))" placeholder="Enter the title here"/>
        <textarea id="newPostEditor"></textarea>
    </div>
</div>

<div id="simpleImagePreviewContainer" class="feedNode stickToTop" style="display: none">

</div>

<? endif; // end user can post


// No posts notification
if (count($this->postList) <= 0):
    ?>
    <div class="feedNode">
        <div class="feedInfoBar">
            <!--<img src="<?= $this->basePath(); ?>/img/placeholders/smallogo.png"/>-->


            <div>
                <a href="#"><h1> No posts to show </h1></a>

                <p></p>
            </div>
        </div>
        <div class="feedContent">
            There are no posts to display.
        </div>
    </div>
    <?
// Display Posts
else:
    foreach ($this->postList as $post):
        /** @var BrandPost $post */
        $postLink = $this->url('root/brandFeed', ['brandUrl' => $brandUrl, 'postId' => $post->id, 'categoryUrl' => $post->categoryUrl]);
        ?>

        <div class="feedNode">
            <? if($this->userCanEditBrand) { ?>
            <div id="post<?= $post->id ?>menu" class="postMenuIcon dropdownActivator oi" data-glyph="pencil"></div>
            <div id="post<?= $post->id ?>dropdown" class="postMenuDropdown">
                <div>
                    <a class="oi" data-glyph="pencil" href="<?= $this->url('root/brandFeed', ['brandUrl' => $brandUrl, 'postId' => $post->id, 'categoryUrl' => $post->categoryUrl]) ?>#edit">Edit post</a>
                    <a class="oi" data-glyph="x" href="<?= $this->url('root/brandFeedDeletePost', ['postId' => $post->id]) ?>" onclick="if(confirm('Are you sure that you want to delete this post?\nThis cannot be undone!')) openAjaxLink($(this)); return false;">Delete post</a>
                </div>
            </div>
            <script>
                makeDropdownMenu($('#post<?= $post->id ?>menu'), $('#post<?= $post->id ?>dropdown'));
            </script>
            <? } ?>

            <div class="feedInfoBar">
                <!--<img src="<?= $this->basePath(); ?>/img/placeholders/smallogo.png"/>-->

                <div>
                    <a href="<?= $postLink ?>"><h1> <?= $post->postTitle; ?> </h1></a>
                    <? /* todo: Display category name and formatted post time */ ?>
                    <p>
                        Posted by <a href="#"><?= $thisBrand->name ?></a>
                        in <a href="<?= $this->url("root/brandFeed", ['brandUrl' => $this->brandUrl, 'categoryUrl' => $post->categoryUrl]) ?>"><?= $post->categoryName ?></a>
                        -
                        <span id="post<?= $post->id; ?>date">on <?= date("d-m-Y H:i", $post->dateCreated) ?></span>
                        <script>$("#post<?= $post->id; ?>date").html(formatAgoTime(<?= $post->dateCreated ?>));</script>
                </div>
            </div>
            <div class="feedContent userContent">
                <?= $post->postContent; ?>
                <div class="endOfSpaceShadow"></div>
                <div class="readMore"><a href="<?= $postLink ?>">Read more</a></div>
            </div>
            <?
            $images = $post->getImageLinkArray();
            if($images) {
                ?>
                <div class="imageHolder">
                    <?
/*
                    if(count($images) % 2 == 1) {
                        $image = array_shift($images);
                        ?>
                        <div class="tile one"><img onclick="openFullscreenImage($(this))" src="<?= $image ?>" /></div>
                        <?
                    }
                    $i = 0;
                    foreach($images as $image) {
                        ?>
                            <div class="tile two"><img onclick="openFullscreenImage($(this))" src="<?= $image ?>" /></div>
                        <?
                        $i++;
                    }
                    if(count($images) % 2 == 1) {
                        $image = array_shift($images);
                        ?>
                        <div class="tile one"><img onclick="openFullscreenImage($(this))" src="<?= $image ?>" /></div>
                        <?
                    }
*/
                    if(count($images) == 1) {
                        $image = $images[0];
                        ?> <div class="tile one" onclick="openFullscreenImage($(this))"><img src="<?= $image ?>" /></div> <?
                    }elseif(count($images) == 2) {
                        foreach($images as $image) {
                            ?> <div class="tile two" onclick="openFullscreenImage($(this))"><img src="<?= $image ?>" /></div> <?
                        }
                    }elseif(count($images) > 2) {
                        $i = 0;
                        foreach($images as $image) {
                            if(++$i > 3) break;
                            if($i == 3 && count($images) > 3) {
                                ?> <div class="tile three" onclick="openFullscreenImage($(this))">
                                    <img src="<?= $image ?>" />
                                    <div class="more">
                                        <div class="middle"><span class="oi" data-glyph="ellipses"></span> </div>
                                        <div class="footerLine"><?= count($images) ?> <span class="oi" data-glyph="image"></span> </div>
                                    </div>
                                </div> <?
                            }else{
                                ?> <div class="tile three" onclick="openFullscreenImage($(this))"><img src="<?= $image ?>" /></div> <?
                            }
                        }
                    }
                    ?>

                </div>
                <?
            }

            ?>
        </div>

        <?
    endforeach; // end posts
endif; // end display posts
?>



<? if ($this->userCanPost): ?>
<script>
    var $postEditorOuterContainer = $('#postEditorOuterContainer');
    var $newPostEditorContainer = $('#newPostEditorContainer');
    var $newPostEditorPlaceholder = $('#newPostEditorPlaceholder');
    var postClicked = false;
    $newPostEditorPlaceholder.click(function() {
        if(!postClicked) {
            postClicked = true;
            initEditorOnId('#newPostEditor', '<button class="lab-button" style="float: right; margin-right: 24px; margin-top: 2px; display: inline-block;" onclick="window.parent.submitPost()">Post</button>');

            $newPostEditorPlaceholder.animate({height: '0'}, 250);
            $postEditorOuterContainer.animate({height: $newPostEditorContainer.outerHeight() + 'px'}, 300, function () {
                $postEditorOuterContainer.css({height: 'auto'});
                $('#postTitleInput').focus();
            });
        }
    });

    // todo: call this
    function showPreviewPost() {
        $('#postPreviewContainer').animate({'height': $('#postPreviewInnerContainer').outerHeight()}, 300);
    }
</script>
<? endif; ?>

